const cfg = {
  http: "http://",
  https: "https://",
  host: "api.hoolihome.com",
  host_cdn: "static.hoolihome.com",
  api: function(env) {
    /* 接口服务器域名 */
    let api = "//testapi.hoolihome.com";
    let host = window.location.host;
    if (env === "php") {
      api = "//testapi.hoolihome.com:9081";
    }
    if (host === "admin.hoolihome.com") {
      api = "//api.hoolihome.com";
    } else if (host === "readyadmin.hoolihome.com") {
      api = "//readyapi.hoolihome.com";
    }
    return api;
  },
  cdn: function() {
    /* cdn服务器域名 */
    return "//" + this.host_cdn;
  }
};

export default cfg;
