export default new Vuex.Store({
  state: {
    userPermissionObj: {},
    permissionObj: {},
    permissionArr: [],
    platformObj: {},
    unReadNum: 0,
    selectionHouseArr: [], //房源多选，
    selectionCustomerArr: [] //客户多选
  },
  mutations: {
    // 客户
    SET_MULCUSTOMER_ARR(state, selectionCustomerArr) {
      if (Array.isArray(selectionCustomerArr)) {
        state.selectionCustomerArr = selectionCustomerArr;
      }
    },
    // 房源
    SET_MULHOUSE_ARR(state, selectionHouseArr) {
      if (Array.isArray(selectionHouseArr)) {
        state.selectionHouseArr = selectionHouseArr;
      }
    },
    SET_UNREAD_NUM(state, unReadNum) {
      state.unReadNum = unReadNum;
    },
    SET_USER_PERMISSION_OBJ(state, userPermissionObj) {
      if (userPermissionObj) {
        state.userPermissionObj = userPermissionObj;
      }
    },
    SET_PERMISSION_OBJ(state, permissionObj) {
      if (permissionObj) {
        state.permissionObj = permissionObj;
      }
    },
    SET_PERMISSION_ARR(state, permissionArr) {
      if (permissionArr) {
        state.permissionArr = permissionArr;
      }
    },
    SET_PLATFORM_OBJ(state, platformObj) {
      if (platformObj) {
        state.platformObj = platformObj;
      }
    }
  },
  actions: {
    resetHouseAndCoustomerData(state) {
      state.state.selectionHouseArr = [];
      state.state.selectionCustomerArr = [];
    }
  }
});
